Marius Gedminas wrote:
> On Wed, Oct 08, 2008 at 12:35:39AM -0300, Sidnei da Silva wrote:
>> Trying to run some tests with Python 2.6 I stumbled on a problem that
>> I need help with: an interface that has an attribute named 'with'.
>>
>> The interface in question is defined in zope.app.component.back35:
>>
>> class IAdapterRegistration(IComponentRegistration):
>> ...
>>     with = schema.Tuple(
>>         title = _("With interfaces"),
>> ...
>>
>> Any suggestions on how to fix this one?
> 
> The backwards-compatibility interfaces are supposed to expire after 3
> releases (or was it years?), maybe we can simply remove this one?

+1. The deprecation message says it's going away in Zope 3.5, so I 
suggest ripping all this stuff out on the trunk of zope.app.component 
and creating a new major release (which would then be Python 2.6 
compatible).

_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to